<!--
{
  "availability" : [
    "Apple Ads Platform API: 1.0.0 -"
  ],
  "documentType" : "symbol",
  "framework" : "Apple-Ads-Platform-API",
  "identifier" : "/documentation/Apple-Ads-Platform-API/RecommendationQueryTargetCpaSuggestionResponse",
  "metadataVersion" : "0.1.0",
  "role" : "Object",
  "symbol" : {
    "kind" : "Object",
    "modules" : [
      "Apple Ads Platform API"
    ],
    "preciseIdentifier" : "data:apple-ads-platform-api:RecommendationQueryTargetCpaSuggestionResponse"
  },
  "title" : "RecommendationQueryTargetCpaSuggestionResponse"
}
-->

# RecommendationQueryTargetCpaSuggestionResponse

Response envelope returned by the Target CPA suggestions endpoint.

```
object RecommendationQueryTargetCpaSuggestionResponse
```

## Discussion

The `RecommendationQueryTargetCpaSuggestionResponse` object is the top-level response body for `POST /suggestions/target-cpas/query`.

### Example

```json
{
  "result": {
    "promotedObjectId": "123456789",
    "countryOrRegion": [
      "US",
      "GB"
    ],
    "suggestedTargetCPA": {
      "amount": "1.50",
      "currency": "USD"
    },
    "appCategory": "Games"
  },
  "pagination": null
}
```

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)